net.corda.node.serialization

## Class NodeClock

- net.corda.node.serialization.NodeClock

- All Implemented Interfaces:
    SerializeAsToken

      public class NodeClock
      implements SerializeAsToken

  A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

  See Also:
    Clock, Clock

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeClock(java.time.Clock delegateClock)` A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.
    `NodeClock()` A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.ZoneId` | `getZone()`
    `java.time.Instant` | `instant()`
    `SerializationToken` | `toToken(SerializeAsTokenContext context)`
    `java.time.Clock` | `withZone(java.time.ZoneId zone)`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Constructor Detail

    - #### NodeClock

          public NodeClock(java.time.Clock delegateClock)

      A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

      See Also:
        Clock, Clock

    - #### NodeClock

          public NodeClock()

      A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

      See Also:
        Clock, Clock

  - ### Method Detail

    - #### toToken

          public SerializationToken toToken(SerializeAsTokenContext context)

    - #### instant

          public java.time.Instant instant()

    - #### withZone

          public java.time.Clock withZone(java.time.ZoneId zone)

    - #### getZone

          public java.time.ZoneId getZone()